## msgpuck 1.0.1

=== CMakeLists.txt ===
project(msgpuck)
cmake_minimum_required(VERSION 2.8.5)

if(POLICY CMP0037)
    cmake_policy(SET CMP0037 OLD) # don't blame custom target names
endif(POLICY CMP0037)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fstrict-aliasing")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -pg -Wall -Wextra -Wcast-align")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
        "Build type, options are: Debug Release." FORCE)
endif()

include(CheckCCompilerFlag)
check_c_compiler_flag("-mno-unaligned-access" CC_HAS_MNO_UNALIGNED_ACCESS)

include(GNUInstallDirs)

add_subdirectory(test)

add_library(${PROJECT_NAME} STATIC msgpuck.c)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION 1.0 SOVERSION 1)
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "msgpuck")

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT library)

install(FILES msgpuck.h DESTINATION include)

find_package(Doxygen)
if(NOT DOXYGEN_FOUND)
    return()
endif()

set(GENERATE_HTML "NO")
set(GENERATE_MAN "YES")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in"
               "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.man")
add_custom_command(OUTPUT doc/man/man3/msgpuck.h.3
    COMMAND ${CMAKE_COMMAND} -E make_directory doc/man
    COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.man"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    DEPENDS msgpuck.h
    COMMENT "Generating man pages" VERBATIM)
add_custom_target(man DEPENDS doc/man/man3/msgpuck.h.3)

set(GENERATE_HTML "YES")
set(GENERATE_MAN "NO")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in"
               "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.html")
add_custom_command(OUTPUT doc/html/index.html
    COMMAND ${CMAKE_COMMAND} -E make_directory doc/html
    COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.html"
    COMMAND ${CMAKE_COMMAND} -E rename doc/html/msgpuck_8h.html
                                       doc/html/index.html
    COMMAND sed s/msgpuck_8h\\.html/index\\.html/ -i doc/html/index.html
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    DEPENDS msgpuck.h
    COMMENT "Generating html documentation" VERBATIM)
add_custom_target(html DEPENDS doc/html/index.html)

add_custom_target(doc DEPENDS man html)

=== test/CMakeLists.txt ===
include_directories("../")

set(alltests)
foreach (test msgpuck)
    add_executable(${test}.test ${test}.c test.c)
    target_link_libraries(${test}.test msgpuck)

    list(APPEND alltests ${test}.test_run)
    add_custom_target(${test}.test_run
        DEPENDS ${test}.test
        COMMAND ${PROJECT_BINARY_DIR}/test/${test}.test 1> /dev/null)
endforeach()

add_custom_target(test DEPENDS ${alltests})

=== debian/changelog ===
msgpuck (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #811167)

 -- Roman Tsisyk <roman@tarantool.org>  Sat, 16 Jan 2016 18:20:30 +0300

=== debian/control ===
Source: msgpuck
Priority: optional
Section: libdevel
Maintainer: Roman Tsisyk <roman@tarantool.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: debhelper (>= 9), cdbs,
               cmake (>= 2.8),
               doxygen (>= 1.7)
Standards-Version: 3.9.6
Homepage: https://github.com/rtsisyk/msgpuck
Vcs-Git: git://github.com/rtsisyk/msgpuck.git
Vcs-Browser: https://github.com/rtsisyk/msgpuck

Package: libmsgpuck-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: MsgPack serialization library in a self-contained header file
 MsgPack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 msgpuck is very lightweight header-only library designed to be inlined to
 your application by the C/C++ compiler. The library is fully documented and
 covered by unit tests.
 .
 This package provides a self-contained header file and a static library.
 The static library contains generated code for inlined functions and
 globals tables needed by the some library functions.

## msgpuck 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 endif(POLICY CMP0037)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fstrict-aliasing")
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -pg -Wall -Wextra -Wcast-align")
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -pg -Wall -Wextra -Wcast-align -Werror")
 
 if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
+    set(CMAKE_BUILD_TYPE Debug CACHE STRING
         "Build type, options are: Debug Release." FORCE)
 endif()

=== test/CMakeLists.txt ===
include_directories("../")

#find_program(PROVE prove)
if (PROVE)
    set(TEST_RUNNER prove)
else()
    set(TEST_RUNNER)
endif()

set(alltests)
foreach (test msgpuck)
    add_executable(${test}.test ${test}.c test.c)
    target_link_libraries(${test}.test msgpuck)

    list(APPEND alltests ${test}.test_run)
    add_custom_target(${test}.test_run
        DEPENDS ${test}.test
        COMMAND ${TEST_RUNNER} ${PROJECT_BINARY_DIR}/test/${test}.test)
endforeach()

add_custom_target(test DEPENDS ${alltests})

=== debian/changelog ===
msgpuck (1.0.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 18:00:17 +0100

msgpuck (1.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-9036 (Closes: #849212)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 04 Jun 2017 12:49:08 +0200

msgpuck (1.0.3-1) unstable; urgency=medium

  * Fix GCC 6.0 and Doxygen warnings
  * Fix out-of-bounds access in the test suite (failed on hppa)
  * Add mp_decode_strbin() and mp_decode_strbinl()
  * Add mp_fprint() for debug output

 -- Roman Tsisyk <roman@tarantool.org>  Tue, 09 Aug 2016 22:14:15 +0300

=== debian/control ===
Source: msgpuck
Priority: optional
Section: libdevel
Maintainer: Roman Tsisyk <roman@tarantool.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen,
Standards-Version: 3.9.8
Homepage: https://github.com/rtsisyk/msgpuck
Vcs-Git: git://github.com/rtsisyk/msgpuck.git
Vcs-Browser: https://github.com/rtsisyk/msgpuck

Package: libmsgpuck-dev
Architecture: any
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: MsgPack serialization library in a self-contained header file
 MsgPack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 msgpuck is very lightweight header-only library designed to be embedded to
 your application by the C/C++ compiler. The library is fully documented and
 covered by unit tests.
 .
 This package provides a self-contained header file and a static library.
 The static library contains generated code for inline functions and
 globals tables needed by the some library functions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	cd obj* && make doc

## msgpuck 2.0

=== debian/changelog ===
msgpuck (2.0-1) unstable; urgency=medium

  * QA upload.
    Closes: #1120840, #1119282
  * New upstream version
  * Orphan package
  * Maintain package in Debian team on Salsa
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Enable building with CMake4
    Closes: #1113298
  * d/rules: Hardening options
  * Make sure build time test works for different float implementations

 -- Andreas Tille <tille@debian.org>  Mon, 08 Dec 2025 17:16:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: msgpuck
+Standards-Version: 4.7.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Section: libdevel
 Priority: optional
-Section: libdevel
-Maintainer: Roman Tsisyk <roman@tarantool.org>
-Uploaders: Dmitry E. Oboukhov <unera@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  doxygen,
-Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/debian/msgpuck
+Vcs-Git: https://salsa.debian.org/debian/msgpuck.git
 Homepage: https://github.com/rtsisyk/msgpuck
-Vcs-Git: git://github.com/rtsisyk/msgpuck.git
-Vcs-Browser: https://github.com/rtsisyk/msgpuck
 
 Package: libmsgpuck-dev
 Architecture: any
-Depends: ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: MsgPack serialization library in a self-contained header file
  MsgPack is a binary-based efficient object serialization library.
  It enables to exchange structured objects between many languages like JSON.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
Version: 5

Template: Github
Owner: rtsisyk
Project: msgpuck
